import { ContentProps } from '../props';
import { default as CodeMirrorUt } from '../codemirror';

/**
 * 文本编辑区组件
 *
 * @param props
 * @returns
 */
declare const useCodeMirror: (props: ContentProps) => {
    inputWrapperRef: import('react').RefObject<HTMLDivElement>;
    codeMirrorUt: import('react').MutableRefObject<CodeMirrorUt | undefined>;
    resetHistory: () => void;
};
export default useCodeMirror;
