import { default as React } from 'react';

declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Readonly<{
    onChange: (v: string) => void;
    placeholder: string;
    scrollAuto: boolean;
    autoFocus?: boolean | undefined;
    disabled?: boolean | undefined;
    readOnly?: boolean | undefined;
    maxLength?: number | undefined;
    autoDetectCode?: boolean | undefined;
    onBlur?: ((event: FocusEvent) => void) | undefined;
    onFocus?: ((event: FocusEvent) => void) | undefined;
    noPrettier?: boolean | undefined;
    completions?: import('@codemirror/autocomplete').CompletionSource[] | undefined;
    catalogVisible: boolean;
    theme?: import('../../type').Themes | undefined;
    onInput?: ((e: Event) => void) | undefined;
    onDrop?: ((event: DragEvent) => void) | undefined;
    inputBoxWitdh: string;
    onInputBoxWitdhChange?: ((width: string) => void) | undefined;
    transformImgUrl: (text: string) => string | Promise<string>;
} & import('./props').ContentPreviewProps> & React.RefAttributes<unknown>>>;
export default _default;
