import { default as React, ReactElement } from 'react';

export interface ModalToolbarProps {
    title?: string;
    modalTitle?: string;
    visible: boolean;
    width?: string;
    height?: string;
    trigger: string | ReactElement;
    onClick: () => void;
    onClose: () => void;
    showAdjust?: boolean;
    isFullscreen?: boolean;
    onAdjust?: (v: boolean) => void;
    children?: any;
}
declare const ModalToolbar: (props: ModalToolbarProps) => React.JSX.Element;
export default ModalToolbar;
